libqalculate-2.4.0: PrecisionVariable Class Reference

libqalculate-2.4.0

Public Member Functions | List of all members
PrecisionVariable Class Reference

Dynamic variable for Pi. More...

`#include <Variable.h>`

Inheritance diagram for PrecisionVariable:

## Public Member Functions
| PrecisionVariable (const PrecisionVariable *variable)
ExpressionItem * | copy () const
bool | representsInteger (bool=false)
bool | representsNonInteger (bool=false)
Public Member Functions inherited from DynamicVariable
| DynamicVariable (string cat_, string name_, string title_="", bool is_local=false, bool is_builtin=true, bool is_active=true)
| DynamicVariable (const DynamicVariable *variable)
void | set (const ExpressionItem *item)
const MathStructure & | get ()
void | set (const MathStructure &o)
void | set (string expression_)
int | calculatedPrecision () const
bool | calculatedWithInterval () const
virtual bool | representsPositive (bool=false)
virtual bool | representsNegative (bool=false)
virtual bool | representsNonNegative (bool=false)
virtual bool | representsNonPositive (bool=false)
virtual bool | representsNumber (bool=false)
virtual bool | representsRational (bool=false)
virtual bool | representsReal (bool=false)
virtual bool | representsComplex (bool=false)
virtual bool | representsNonZero (bool=false)
virtual bool | representsEven (bool=false)
virtual bool | representsOdd (bool=false)
virtual bool | representsUndefined (bool=false, bool=false, bool=false)
virtual bool | representsBoolean ()
virtual bool | representsNonMatrix ()
virtual bool | representsScalar ()
Public Member Functions inherited from KnownVariable
| KnownVariable (string cat_, string name_, const MathStructure &o, string title_="", bool is_local=true, bool is_builtin=false, bool is_active=true)
| KnownVariable (string cat_, string name_, string expression_, string title_="", bool is_local=true, bool is_builtin=false, bool is_active=true)
| KnownVariable ()
| KnownVariable (const KnownVariable *variable)
bool | isKnown () const
virtual bool | isExpression () const
virtual string | expression () const
virtual string | uncertainty () const
virtual string | unit () const
int | subtype () const
virtual void | setUncertainty (string standard_uncertainty)
virtual void | setUnit (string unit_expression)
virtual bool | representsFraction (bool=false)
virtual bool | representsNonComplex (bool=false)
Public Member Functions inherited from Variable
| Variable (string cat_, string name_, string title_="", bool is_local=true, bool is_builtin=false, bool is_active=true)
| Variable (const Variable *variable)
virtual int | type () const
Public Member Functions inherited from ExpressionItem
| ExpressionItem (string cat_, string name_, string title_="", string descr_="", bool is_local=true, bool is_builtin=false, bool is_active=true)
virtual bool | destroy ()
bool | isRegistered () const
void | setRegistered (bool is_registered)
| For internal use.
virtual const string & | name (bool use_unicode=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual const string & | referenceName () const
virtual const ExpressionName & | preferredName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual const ExpressionName & | preferredInputName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual const ExpressionName & | preferredDisplayName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual const ExpressionName & | getName (size_t index) const
virtual void | setName (const ExpressionName &ename, size_t index=1, bool force=true)
virtual void | setName (string sname, size_t index, bool force=true)
virtual void | addName (const ExpressionName &ename, size_t index=0, bool force=true)
virtual void | addName (string sname, size_t index=0, bool force=true)
virtual size_t | countNames () const
virtual void | clearNames ()
virtual void | clearNonReferenceNames ()
virtual void | removeName (size_t index)
virtual size_t | hasName (const string &sname, bool case_sensitive=true) const
virtual size_t | hasNameCaseSensitive (const string &sname) const
virtual const ExpressionName & | findName (int abbreviation=-1, int use_unicode=-1, int plural=-1, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual const string & | title (bool return_name_if_no_title=true, bool use_unicode=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
virtual void | setTitle (string title_)
virtual const string & | description () const
virtual void | setDescription (string descr_)
virtual const string & | category () const
virtual void | setCategory (string cat_)
virtual bool | hasChanged () const
virtual void | setChanged (bool has_changed)
virtual bool | isLocal () const
virtual bool | setLocal (bool is_local=true, int will_be_active=-1)
virtual bool | isBuiltin () const
virtual bool | isApproximate () const
virtual void | setApproximate (bool is_approx=true)
virtual int | precision () const
virtual void | setPrecision (int prec)
virtual bool | isActive () const
virtual void | setActive (bool is_active)
virtual bool | isHidden () const
virtual void | setHidden (bool is_hidden)
virtual int | refcount () const
virtual void | ref ()
virtual void | unref ()
virtual void | ref (ExpressionItem *o)
virtual void | unref (ExpressionItem *o)
virtual ExpressionItem * | getReferencer (size_t index=1) const
virtual bool | changeReference (ExpressionItem *o_from, ExpressionItem *o_to)

## Additional Inherited Members
Protected Attributes inherited from DynamicVariable
bool | always_recalculate
Protected Attributes inherited from KnownVariable
MathStructure * | mstruct
bool | b_expression
int | calculated_precision
bool | calculated_with_interval
bool | calculated_with_units
string | sexpression
string | suncertainty
string | sunit
Protected Attributes inherited from ExpressionItem
string | scat
string | stitle
string | sdescr
bool | b_local
bool | b_changed
bool | b_builtin
bool | b_approx
bool | b_active
bool | b_registered
bool | b_hidden
bool | b_destroyed
int | i_ref
int | i_precision
vector< ExpressionItem * > | v_refs
vector< ExpressionName > | names

## Detailed Description

Dynamic variable for Pi.

Dynamic variable for e, the base of natural logarithms Dynamic variable for Euler's constant Dynamic variable for Catalan's constant Dynamic variable for current precision

The documentation for this class was generated from the following file:

- libqalculate/Variable.h